KColor Class Reference

`#include <kcolordialog.h>`

Inherits QColor.

## Public Member Functions

| KColor (const KColor &col)
| KColor (const QColor &col)
KColor & | operator= (const KColor &col)
bool | operator== (const KColor &col) const
void | setHsv (int _h, int _s, int _v)
void | setRgb (int _r, int _g, int _b)
void | rgb (int *_r, int *_g, int *_b) const
void | hsv (int *_h, int *_s, int *_v) const

## Protected Attributes

int | h
int | s
int | v
int | r
int | g
int | b

## Detailed Description

A color class that preserves both RGB and HSV values.

This is unlike QColor which only preserves RGB values and recalculates HSV values. The QColor behavior leads to an accumulation of rounding errors when working in the HSV color space.

Author
  Waldo Bastian basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g

Definition at line 164 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys